Ow boy do we love dependencies. Well this one is part of perl-devel.


[[email protected] linux-kstat]# perl Makefile.PL
Can't locate ExtUtils/MakeMaker.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at Makefile.PL line 1.
BEGIN failed--compilation aborted at Makefile.PL line 1.

Fixing it :

yum install perl-devel

on a rather clean system this installed :

=========================================
 Package 
=========================================
Installing:
 perl-devel 
Installing for dependencies:
 gdbm-devel 
 libdb-devel 
 perl-ExtUtils-Install 
 perl-ExtUtils-MakeMaker 
 perl-ExtUtils-Manifest 
 perl-ExtUtils-ParseXS 
 perl-Test-Harness 
 pyparsing 
 systemtap-sdt-devel 

Transaction Summary
=========================================
Install 1 Package (+9 Dependent packages)

happy building!

note : as I found out later, you don’t need the “complete” perl-devel, but large chance you will get other errors, that require one of the packages installed by perl-devel. For the pure requirement try :

yum install perl-ExtUtils-MakeMaker

Another option is installing this library (the latest version) using cpan : (obv. this requires a working CPAN)

cpan -i ExtUtils::MakeMaker

Feel free to leave a thanks 😉